﻿Type=Service
Version=6
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
	#StartCommandReturnValue: android.app.Service.START_STICKY
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
    Dim ProximaHora As Int
	Dim ActivaHoy As Boolean 
	Dim ProximoMinuto As Int 
	Public Sonando As Boolean=False 
    Public DiasEsp(8) As String
	Public DiasEng(8) As String 

End Sub

Sub Service_Create
    ProximaHora=99
	ActivaHoy=False 
	ProximoMinuto=99
	
	DiasEsp(1)="Dom"
	DiasEsp(2)="Lun"
	DiasEsp(3)="Mar"
	DiasEsp(4)="Mie"
	DiasEsp(5)="Jue"
	DiasEsp(6)="Vie"
	DiasEsp(7)="Sab"

	DiasEng(1)="Sun"
	DiasEng(2)="Mon"
	DiasEng(3)="Tue"
	DiasEng(4)="Wed"
	DiasEng(5)="Thu"
	DiasEng(6)="Fri"
	DiasEng(7)="Sat"
	Try
		If Main.ActividadIniciada=True Then
			CallSub(Main,"CargoAlarmas")
		End If
	Catch
		Log(LastException)
	End Try
End Sub

Sub Service_Start (StartingIntent As Intent)
    CargoArchivo
End Sub

Sub Service_Destroy

End Sub

Sub CargoArchivo
	Dim Texto As String, Alarmas As List, sf As StringFunctions, i As Int
	Dim DiaActual As Int, ItemAlarma As List, HoraActual As Int, MinutoActual As Int        
	Try
		If Sonando=True Then Return 
    	If File.Exists(File.DirAssets,"alarms.alm")=True Then
	    	Texto=File.ReadString(File.DirAssets,"alarms.alm")
		    If Texto.Trim.Length=0 Then Return 
			sf.Initialize 
			Alarmas=sf.Split(Texto,",")
			For i = 0 To Alarmas.size-1
		        ItemAlarma=sf.Split(Alarmas.get(i),"\|")		
				If ItemAlarma.get(0)=0 Then ' El Item leido está Activo 
                   DiaActual=DateTime.GetDayOfWeek(DateTime.Now)
				   If ItemAlarma.get(DiaActual)=1 Then
			         	ActivaHoy=True 			    

                        ' Chequeo Hora
						
						HoraActual=DateTime.GetHour(DateTime.Now)
						If HoraActual<=ItemAlarma.get(8) Then
							If ProximaHora=99 Then ProximaHora=ItemAlarma.get(8)
							If ItemAlarma.get(8)<ProximaHora Then
								ProximaHora=ItemAlarma.get(8)
								ProximoMinuto=ItemAlarma.get(9)
							End If  
	                    End If 

                        ' Chequeo Minuto
						
						MinutoActual=DateTime.GetMinute(DateTime.Now)
						If MinutoActual<=ItemAlarma.get(9) Then
						   If ProximoMinuto=99 Then ProximoMinuto=ItemAlarma.get(9)
						   If ItemAlarma.get(9)<ProximoMinuto Then
							   ProximoMinuto=ItemAlarma.get(9)
						   End If 
                        End If 									
				   End If
			    End If
			Next
	    End If
	Catch
		Log(LastException)
	End Try
End Sub

